#!/usr/bin/python
# -*- Python -*-

import cgitb; cgitb.enable()

import sys, os
if '/usr/lib/python2.7/site-packages/bonito2' not in sys.path:
    sys.path.insert (0, '/usr/lib/python2.7/site-packages/bonito2')

from conccgi import ConcCGI
from usercgi import UserCGI

try:
    from wseval import WSEval
except:
    class WSEval(ConcCGI):
        pass

class BonitoCGI (UserCGI, WSEval):

    # UserCGI options
    _options_dir = '/var/lib/ske/options'

    # ConcCGI options
    cache_dir = '/var/lib/ske/cache'
    subcpath = ['/var/lib/ske/subcorp/GLOBAL']
    gdexpath = [] # [('confname', '/path/to/gdex.conf'), ...]
	
    # add default values here
    corplist = ['susanne', 'bnc']
    corpname = 'bnc'

    helpsite = 'https://trac.sketchengine.co.uk/wiki/SkE/Help/PageSpecificHelp/'

    def __init__ (self, user=None):
        UserCGI.__init__ (self, user)
        ConcCGI.__init__ (self)

    def _user_defaults (self, user):
        if user is not self._default_user:
            self.subcpath.append ('/var/lib/ske/subcorp/%s' % user)
        self._conc_dir = '/var/lib/ske/conc/%s' % user
        self._wseval_dir = '/var/lib/ske/wseval/%s' % user


if __name__ == '__main__':
    if not os.environ.has_key ('MANATEE_REGISTRY'):
        os.environ['MANATEE_REGISTRY'] = '/var/lib/ske/registry'
    BonitoCGI().run_unprotected (selectorname='corpname')

